// Code generated by protoc-gen-lc, DO NOT EDIT.

package authorpb

import "context"
import "google.golang.org/grpc"

import "github.com/golang/protobuf/ptypes/empty"

type localAuthorsClient struct {
	AuthorsServer
}

func NewLocalAuthorsClient(s AuthorsServer) AuthorsClient {
	return &localAuthorsClient{s}
}

func (lc *localAuthorsClient) CreateAuthor(ctx context.Context, in *CreateAuthorRequest, opts ...grpc.CallOption) (*Author, error) {
	return lc.AuthorsServer.CreateAuthor(ctx, in)
}

func (lc *localAuthorsClient) GetAuthor(ctx context.Context, in *GetAuthorRequest, opts ...grpc.CallOption) (*Author, error) {
	return lc.AuthorsServer.GetAuthor(ctx, in)
}

func (lc *localAuthorsClient) UpdateAuthor(ctx context.Context, in *UpdateAuthorRequest, opts ...grpc.CallOption) (*empty.Empty, error) {
	return lc.AuthorsServer.UpdateAuthor(ctx, in)
}

func (lc *localAuthorsClient) DeleteAuthor(ctx context.Context, in *DeleteAuthorRequest, opts ...grpc.CallOption) (*empty.Empty, error) {
	return lc.AuthorsServer.DeleteAuthor(ctx, in)
}

func (lc *localAuthorsClient) ListAuthor(ctx context.Context, in *ListAuthorsRequest, opts ...grpc.CallOption) (*ListAuthorsResponse, error) {
	return lc.AuthorsServer.ListAuthor(ctx, in)
}
